Bug 211763 - sysutils/ganglia-webfrontend: require the php session extension and misc. changes
Summary: sysutils/ganglia-webfrontend: require the php session extension and misc. cha...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Brad Davis
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-08-12 03:37 UTC by Joseph Mingrone
Modified: 2016-08-15 12:03 UTC (History)
2 users (show)

See Also:


Attachments
svn diff to fix problem with missing dependency and other misc. changes (2.45 KB, patch)
2016-08-12 03:37 UTC, Joseph Mingrone
jrm: maintainer-approval+
Details | Diff
svn diff #2: also remove files that don't belong under WWWDIR (4.38 KB, patch)
2016-08-14 20:28 UTC, Joseph Mingrone
jrm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Mingrone freebsd_committer 2016-08-12 03:37:50 UTC
Created attachment 173562 [details]
svn diff to fix problem with missing dependency and other misc. changes

portlint: OK
testport: OK (poudriere: 10.3-RELEASE-p5, amd64) [2]

- add session to USE_PHP
- bump portrevision

and while here

- convert to USE_GITHUB
- replace deprecated WANT_PHP_WEB=YES with USES=php:web
- wrap long lines


The problem with the missing session extension was reported by Jason Bacon <bacon4000@gmail.com>.
Comment 1 Joseph Mingrone freebsd_committer 2016-08-14 20:28:47 UTC
Created attachment 173673 [details]
svn diff #2: also remove files that don't belong under WWWDIR

This diff builds upon the previous diff by removing files like README and TODO from WWWDIR.
Comment 2 commit-hook freebsd_committer 2016-08-15 07:32:17 UTC
A commit references this bug:

Author: brd
Date: Mon Aug 15 07:32:07 UTC 2016
New revision: 420217
URL: https://svnweb.freebsd.org/changeset/ports/420217

Log:
  Require the php session extension and switch to USE_GITHUB.

  PR:		211763
  Submitted by:	Joseph Mingrone <jrm@ftfl.ca> (maintainer)
  Approved by:	bdrewery (implicit)

Changes:
  head/sysutils/ganglia-webfrontend/Makefile
  head/sysutils/ganglia-webfrontend/distinfo
  head/sysutils/ganglia-webfrontend/pkg-plist
Comment 3 Brad Davis freebsd_committer 2016-08-15 07:33:30 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2016-08-15 12:03:38 UTC
A commit references this bug:

Author: brd
Date: Mon Aug 15 12:02:41 UTC 2016
New revision: 420230
URL: https://svnweb.freebsd.org/changeset/ports/420230

Log:
  MFH: r420217:  Require the php session extension and switch to USE_GITHUB.

  PR:		211763
  Submitted by:	Joseph Mingrone <jrm at ftfl.ca> (maintainer)
  Approved by:	portmgr (bdrewery)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/sysutils/ganglia-webfrontend/Makefile
  branches/2016Q3/sysutils/ganglia-webfrontend/distinfo
  branches/2016Q3/sysutils/ganglia-webfrontend/pkg-plist